Subject: bug#28074: 25.2; `Info-toc' should not duplicate nodes by processing `The Detailed Node Listing'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Dec 2020 13:33:59 +0100

Drew Adams <[email-masked]> writes:

> Go to the Elisp manual or the Emacs manual.  Each of these has a menu of
> nodes followed by a section called "The Detailed Node Listing".
>
> M-x Info-toc
>
> The result is not just a hierarchical TOC of the manual's nodes.  The
> result duplicates both the menu (hierarchical) structure AND the flat,
> "Detailed Node List".  The "Detailed Node List" lists each node multiple
> times, once at the top level and once under each of its ancestor nodes.

This was apparently due to Info now using EMDASH instead of a hyphen in
the Detailed Node Listing regexp.  This is now fixed in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no